<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Package view</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Package view";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package view" class="title">Uses of Package<br>view</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../view/package-summary.html">view</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="controler">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../view/package-summary.html">view</a> used by <a href="../controler/package-summary.html">controler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/Blokus.html#controler">Blokus</a>
<div class="block">The Class Blokus is the frame who contain the game blokus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/Grid.html#controler">Grid</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/LinePlayer.html#controler">LinePlayer</a>
<div class="block">The Class LinePlayer is a class who build a JPanel used to define a player (its name, color and if it is a IA).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/MenuPiece.html#controler">MenuPiece</a>
<div class="block">The Class MenuPiece is the menu where the user can create a new piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/Parametres.html#controler">Parametres</a>
<div class="block">The Class Parametres.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/PlayerPiece.html#controler">PlayerPiece</a>
<div class="block">The Class PlayerPiece is a jPanel who represent a piece with a board of jLabel.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/PlayerZone.html#controler">PlayerZone</a>
<div class="block">The Class PlayerZone is a jPanel who display the playerBar and playerPieces of a player.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../view/package-summary.html">view</a> used by <a href="../view/package-summary.html">view</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/Blokus.html#view">Blokus</a>
<div class="block">The Class Blokus is the frame who contain the game blokus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/GlassPane.html#view">GlassPane</a>
<div class="block">This glassPane is used to animate the drag and drop of the pieces in the grid, with transparency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/Grid.html#view">Grid</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/LinePlayer.html#view">LinePlayer</a>
<div class="block">The Class LinePlayer is a class who build a JPanel used to define a player (its name, color and if it is a IA).</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/MainMenu.html#view">MainMenu</a>
<div class="block">The Class MainMenu is a jPanel who represent the menu where the player can access to all other menu.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/Parametres.html#view">Parametres</a>
<div class="block">The Class Parametres.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/PlayerBar.html#view">PlayerBar</a>
<div class="block">This jPanel display the statue of his player : his name, score and number of piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/PlayerZone.html#view">PlayerZone</a>
<div class="block">The Class PlayerZone is a jPanel who display the playerBar and playerPieces of a player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../view/class-use/ViewGame.html#view">ViewGame</a>
<div class="block">The Class ViewGame is the main view class of a game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../view/class-use/ZoneInformation.html#view">ZoneInformation</a>
<div class="block">The Class ZoneInformation is a jpanel place in the bottom of a viewGame.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?view/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
